Bug 138760 - The upgrade process should have a post-reboot process that iterates through configuration files whose contents need to be merged
The upgrade process should have a post-reboot process that iterates through c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 19:31 EST by Bryan Headley
Modified: 2014-03-16 22:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 14:28:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Headley 2004-11-10 19:31:06 EST
Description of problem:

The upgrade process should have a post-reboot process that iterates
through configuration files whose contents need to be merged. Example,
I do a FC2 - FC3 upgrade. I now have an /etc/yum.conf and an
/etc/yum.conf.rpmnew. If I run yum (and it's stock,) it'll try to get
updates for FC2 instead of FC3 (which is wrong.)

The right thing to do is, a GUI package modelled after tkdiff

1. For each rpm package, iterate through known config files.
2. If exists $(dirname)/conf_file.rpm*, put said package name in a 
scrollable widget with radio button. You choose of that list of rpm
packages whose config files have changed, which current/rpm* files you
want to diff in a tkdiff-like diffy/merge tool.
3. And you go through and visit each one. The tool of course allows
you to exit after changing one or many or NO conf files (make a
change; check it out)

4. Personally, I like dpkg's concept of "do you want to keep your
changes, overwrite with the packager's conf file, or diff them" that
Debian has.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2004-11-11 14:28:57 EST
This is better solved by fixing RPM's config file algorithm.

Note You need to log in before you can comment on or make changes to this bug.